# import the classes for accessing DSS objects from the recipe
import dataiku
# Import the helpers for custom recipes
from dataiku.customrecipe import *
from resampling import resampleColumn

#############################
# Your original recipe
#############################

# reteive input datasets
input_dataset_name = get_input_names_for_role('input_dataset')[0]
input_dataset = dataiku.Dataset(input_dataset_name)

# For outputs, the process is the same:
output_dataset_name = get_output_names_for_role('main_output')[0]

# Retrieve column name parameter
column_name = get_recipe_config()['col_name']

df = input_dataset.get_dataframe()
df = resampleColumn(df, column_name)

# write the function output to a dataframe
output_dataset = dataiku.Dataset(output_dataset_name)
output_dataset.write_with_schema(df)
